## libwebp 1.3.2

=== CMakeLists.txt ===
#  Copyright (c) 2020 Google LLC.
#
#  Use of this source code is governed by a BSD-style license
#  that can be found in the LICENSE file in the root of the source
#  tree. An additional intellectual property rights grant can be found
#  in the file PATENTS.  All contributing project authors may
#  be found in the AUTHORS file in the root of the source tree.

if(APPLE)
  cmake_minimum_required(VERSION 3.17)
else()
  cmake_minimum_required(VERSION 3.7)
endif()

if(POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()

project(WebP C)

# Options for coder / decoder executables.
if(BUILD_SHARED_LIBS)
  set(WEBP_LINK_STATIC_DEFAULT OFF)
else()
  set(WEBP_LINK_STATIC_DEFAULT ON)
endif()
option(WEBP_LINK_STATIC
       "Link using static libraries. If OFF, use dynamic libraries."
       ${WEBP_LINK_STATIC_DEFAULT})
if(NOT EMSCRIPTEN)
  # Disable SIMD on Emscripten by default, as it's a new unstable Wasm feature.
  # Users can still explicitly opt-in to make a SIMD-enabled build.
  set(WEBP_ENABLE_SIMD_DEFAULT ON)
endif()
option(WEBP_ENABLE_SIMD "Enable any SIMD optimization."
       ${WEBP_ENABLE_SIMD_DEFAULT})
option(WEBP_BUILD_ANIM_UTILS "Build animation utilities." ON)
option(WEBP_BUILD_CWEBP "Build the cwebp command line tool." ON)
option(WEBP_BUILD_DWEBP "Build the dwebp command line tool." ON)
option(WEBP_BUILD_GIF2WEBP "Build the gif2webp conversion tool." ON)
option(WEBP_BUILD_IMG2WEBP "Build the img2webp animation tool." ON)
option(WEBP_BUILD_VWEBP "Build the vwebp viewer tool." ON)
option(WEBP_BUILD_WEBPINFO "Build the webpinfo command line tool." ON)
option(WEBP_BUILD_LIBWEBPMUX "Build the libwebpmux library." ON)
option(WEBP_BUILD_WEBPMUX "Build the webpmux command line tool." ON)
option(WEBP_BUILD_EXTRAS "Build extras." ON)
option(WEBP_BUILD_WEBP_JS "Emscripten build of webp.js." OFF)
option(WEBP_USE_THREAD "Enable threading support" ON)
option(WEBP_NEAR_LOSSLESS "Enable near-lossless encoding" ON)
option(WEBP_ENABLE_SWAP_16BIT_CSP "Enable byte swap for 16 bit colorspaces."
       OFF)
set(WEBP_BITTRACE "0" CACHE STRING "Bit trace mode (0=none, 1=bit, 2=bytes)")
set_property(CACHE WEBP_BITTRACE PROPERTY STRINGS 0 1 2)

if(WEBP_LINK_STATIC)
  if(WIN32)
    set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
  else()
    set(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
  endif()
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
  # vwebp does not compile on Ubuntu with static libraries so disabling it for
  # now.
  set(WEBP_BUILD_VWEBP OFF)
endif()

# Option needed for handling Unicode file names on Windows.
if(WIN32)
  option(WEBP_UNICODE "Build Unicode executables." ON)
endif()

if(WEBP_BUILD_WEBP_JS)
  set(WEBP_BUILD_ANIM_UTILS OFF)
  set(WEBP_BUILD_CWEBP OFF)
  set(WEBP_BUILD_DWEBP OFF)
  set(WEBP_BUILD_GIF2WEBP OFF)
  set(WEBP_BUILD_IMG2WEBP OFF)
  set(WEBP_BUILD_VWEBP OFF)
  set(WEBP_BUILD_WEBPINFO OFF)
  set(WEBP_BUILD_WEBPMUX OFF)
  set(WEBP_BUILD_EXTRAS OFF)
  set(WEBP_USE_THREAD OFF)

  if(WEBP_ENABLE_SIMD)
    message(NOTICE
            "wasm2js does not support SIMD, disabling webp.js generation.")
  endif()
endif()

set(SHARPYUV_DEP_LIBRARIES)
set(SHARPYUV_DEP_INCLUDE_DIRS)
set(WEBP_DEP_LIBRARIES)
set(WEBP_DEP_INCLUDE_DIRS)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release"
      CACHE STRING "Build type: Release, Debug, MinSizeRel or RelWithDebInfo"
            FORCE)
endif()

# Include dependencies.
if(WEBP_BUILD_ANIM_UTILS
   OR WEBP_BUILD_CWEBP
   OR WEBP_BUILD_DWEBP
   OR WEBP_BUILD_EXTRAS
   OR WEBP_BUILD_GIF2WEBP
   OR WEBP_BUILD_IMG2WEBP)
  set(WEBP_FIND_IMG_LIBS TRUE)
else()
  set(WEBP_FIND_IMG_LIBS FALSE)
endif()
include(cmake/deps.cmake)
include(GNUInstallDirs)

if(BUILD_SHARED_LIBS AND NOT DEFINED CMAKE_INSTALL_RPATH)
  # Set the rpath to match autoconf/libtool behavior. Note this must be set
  # before target creation.
  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
endif()

# ##############################################################################
# Options.
if(WEBP_ENABLE_SWAP_16BIT_CSP)
  add_definitions(-DWEBP_SWAP_16BIT_CSP=1)
endif()

if(NOT WEBP_BITTRACE STREQUAL "0")
  add_definitions(-DBITTRACE=${WEBP_BITTRACE})
endif()

if(WEBP_UNICODE)
  # Windows recommends setting both UNICODE and _UNICODE.
  add_definitions(-DUNICODE -D_UNICODE)
endif()

if(MSVC AND BUILD_SHARED_LIBS)
  add_definitions(-DWEBP_DLL)
endif()

# pkg-config variables used by *.pc.in.
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "\${prefix}")
if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
  set(libdir "${CMAKE_INSTALL_LIBDIR}")
else()
  set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
endif()
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
  set(includedir "${CMAKE_INSTALL_INCLUDEDIR}")
else()
  set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
endif()
set(PTHREAD_LIBS ${CMAKE_THREAD_LIBS_INIT})
set(INSTALLED_LIBRARIES)

if(MSVC)
  # match the naming convention used by nmake
  set(webp_libname_prefix "lib")
  set(CMAKE_SHARED_LIBRARY_PREFIX "${webp_libname_prefix}")
  set(CMAKE_IMPORT_LIBRARY_PREFIX "${webp_libname_prefix}")
  set(CMAKE_STATIC_LIBRARY_PREFIX "${webp_libname_prefix}")
endif()

set(CMAKE_C_VISIBILITY_PRESET hidden)

# ##############################################################################
# Android only.
if(ANDROID)
  include_directories(${ANDROID_NDK}/sources/android/cpufeatures)
  add_library(cpufeatures-webp STATIC
              ${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c)
  list(APPEND INSTALLED_LIBRARIES cpufeatures-webp)
  target_link_libraries(cpufeatures-webp dl)
  set(SHARPYUV_DEP_LIBRARIES ${SHARPYUV_DEP_LIBRARIES} cpufeatures-webp)
  set(WEBP_DEP_LIBRARIES ${WEBP_DEP_LIBRARIES} cpufeatures-webp)
  set(cpufeatures_include_dir ${ANDROID_NDK}/sources/android/cpufeatures)
  set(SHARPYUV_DEP_INCLUDE_DIRS ${SHARPYUV_DEP_INCLUDE_DIRS}
                                ${cpufeatures_include_dir})
  set(WEBP_DEP_INCLUDE_DIRS ${WEBP_DEP_INCLUDE_DIRS} ${cpufeatures_include_dir})
  add_definitions(-DHAVE_CPU_FEATURES_H=1)
  set(HAVE_CPU_FEATURES_H 1)
else()
  set(HAVE_CPU_FEATURES_H 0)
endif()

function(configure_pkg_config FILE)
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${FILE}.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/${FILE}" @ONLY)

  if(HAVE_MATH_LIBRARY)
    # MSVC doesn't have libm
    file(READ ${CMAKE_CURRENT_BINARY_DIR}/${FILE} data)
    string(REPLACE "-lm" "" data ${data})
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${FILE} ${data})
  endif()

  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${FILE}"
          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endfunction()

# ##############################################################################
# WebP source files. Read the Makefile.am to get the source files.

# We expect the Makefiles to define the sources as defined in the first regex.
# E.g.: libimagedec_la_SOURCES  = image_dec.c image_dec.h
function(parse_Makefile_am FOLDER VAR SRC_REGEX)
  file(READ ${FOLDER}/Makefile.am MAKEFILE_AM)
  string(REGEX MATCHALL "${SRC_REGEX}_SOURCES[ ]*\\+?=[ ]+[0-9a-z\\._ ]*"
               FILES_PER_LINE ${MAKEFILE_AM})
  set(SRCS ${${VAR}})
  foreach(FILES ${FILES_PER_LINE})
    string(FIND ${FILES} "=" OFFSET)
    math(EXPR OFFSET "${OFFSET} + 2")
    string(SUBSTRING ${FILES} ${OFFSET} -1 FILES)
    if(FILES)
      string(REGEX MATCHALL "[0-9a-z\\._]+" FILES ${FILES})
      foreach(FILE ${FILES})
        list(APPEND SRCS ${FOLDER}/${FILE})
      endforeach()
    endif()
  endforeach()
  set(${VAR} ${SRCS} PARENT_SCOPE)
endfunction()

set(WEBP_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
parse_makefile_am(${WEBP_SRC_DIR}/dec "WEBP_DEC_SRCS" "")
parse_makefile_am(${WEBP_SRC_DIR}/demux "WEBP_DEMUX_SRCS" "")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_COMMON_SRCS" "COMMON")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_ENC_SRCS" "ENC")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_ENC_SRCS" "dsp_[^ ]*")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_DEC_SRCS" "decode_[^ ]*")
parse_makefile_am(${WEBP_SRC_DIR}/enc "WEBP_ENC_SRCS" "")
parse_makefile_am(${WEBP_SRC_DIR}/utils "WEBP_UTILS_COMMON_SRCS" "COMMON")
parse_makefile_am(${WEBP_SRC_DIR}/utils "WEBP_UTILS_ENC_SRCS" "ENC")
parse_makefile_am(${WEBP_SRC_DIR}/utils "WEBP_UTILS_DEC_SRCS" "decode_[^ ]*")

# Remove the files specific to SIMD we don't use.
foreach(FILE ${WEBP_SIMD_FILES_NOT_TO_INCLUDE})
  list(REMOVE_ITEM WEBP_DSP_ENC_SRCS ${FILE})
  list(REMOVE_ITEM WEBP_DSP_DEC_SRCS ${FILE})
endforeach()

# Generate the config.h file.
configure_file(${CMAKE_CURRENT_LIST_DIR}/cmake/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/src/webp/config.h @ONLY)
add_definitions(-DHAVE_CONFIG_H)

# Set the version numbers.
macro(set_version FILE TARGET_NAME NAME_IN_MAKEFILE)
  file(READ ${CMAKE_CURRENT_SOURCE_DIR}/${FILE} SOURCE_FILE)
  string(REGEX MATCH
               "${NAME_IN_MAKEFILE}_la_LDFLAGS[^\n]* -version-info [0-9:]+" TMP
               ${SOURCE_FILE})
  string(REGEX MATCH "[0-9:]+" TMP ${TMP})
  string(REGEX REPLACE ":" " " LT_VERSION ${TMP})

  # See the libtool docs for more information:
  # https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
  #
  # c=<current>, a=<age>, r=<revision>
  #
  # libtool generates a .so file as .so.[c-a].a.r, while -version-info c:r:a is
  # passed to libtool.
  #
  # We set FULL = [c-a].a.r and MAJOR = [c-a].
  separate_arguments(LT_VERSION)
  list(GET LT_VERSION 0 LT_CURRENT)
  list(GET LT_VERSION 1 LT_REVISION)
  list(GET LT_VERSION 2 LT_AGE)
  math(EXPR LT_CURRENT_MINUS_AGE "${LT_CURRENT} - ${LT_AGE}")

  set_target_properties(
    ${TARGET_NAME}
    PROPERTIES VERSION ${LT_CURRENT_MINUS_AGE}.${LT_AGE}.${LT_REVISION}
               SOVERSION ${LT_CURRENT_MINUS_AGE})
  if(APPLE)
    # For compatibility, set MACHO_COMPATIBILITY_VERSION and
    # MACHO_CURRENT_VERSION to match libtool. These properties were introduced
    # in 3.17:
    # https://cmake.org/cmake/help/latest/prop_tgt/MACHO_COMPATIBILITY_VERSION.html
    math(EXPR LIBWEBP_MACHO_COMPATIBILITY_VERSION "${LT_CURRENT} + 1")
    set_target_properties(
      ${TARGET_NAME}
      PROPERTIES MACHO_COMPATIBILITY_VERSION
                 ${LIBWEBP_MACHO_COMPATIBILITY_VERSION}
                 MACHO_CURRENT_VERSION
                 ${LIBWEBP_MACHO_COMPATIBILITY_VERSION}.${LT_REVISION})
  endif()
endmacro()

# ##############################################################################
# Build the webpdecoder library.

# Creates a source file with an unused stub function in $CMAKE_BINARY_DIR and
# adds it to the specified target. Currently used only with Xcode.
#
# See also:
# https://cmake.org/cmake/help/v3.18/command/add_library.html#object-libraries
# "Some native build systems (such as Xcode) may not like targets that have only
# object files, so consider adding at least one real source file to any target
# that references $<TARGET_OBJECTS:objlib>."
function(libwebp_add_stub_file TARGET)
  set(stub_source_dir "${CMAKE_BINARY_DIR}")
  set(stub_source_file "${stub_source_dir}/libwebp_${TARGET}_stub.c")
  set(stub_source_code
      "// Generated file. DO NOT EDIT!\n"
      "// C source file created for target ${TARGET}.\n"
      "void libwebp_${TARGET}_stub_function(void)\;\n"
      "void libwebp_${TARGET}_stub_function(void) {}\n")
  file(WRITE "${stub_source_file}" ${stub_source_code})

  target_sources(${TARGET} PRIVATE ${stub_source_file})
endfunction()

parse_makefile_am(${CMAKE_CURRENT_SOURCE_DIR}/sharpyuv "WEBP_SHARPYUV_SRCS" "")
add_library(sharpyuv ${WEBP_SHARPYUV_SRCS})
target_link_libraries(sharpyuv ${SHARPYUV_DEP_LIBRARIES})
set_version(sharpyuv/Makefile.am sharpyuv sharpyuv)
target_include_directories(
  sharpyuv PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
                   ${CMAKE_CURRENT_SOURCE_DIR}/src)
set_target_properties(
  sharpyuv
  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/sharpyuv/sharpyuv.h;\
${CMAKE_CURRENT_SOURCE_DIR}/sharpyuv/sharpyuv_csp.h")

=== debian/changelog ===
libwebp (1.3.2-0.4~mx23) mx; urgency=medium

  * Backport for MX-23 to get the new libsharpyuv

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 25 Mar 2024 22:09:51 -0400

libwebp (1.3.2-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Introduce pkg.libwebp.notiff build profile to
    break the build-dep loop between libwebp and tiff. Mark build-dep
    libtiff-dev with <!pkg.libwebp.notiff>.
    (Closes: #1055434)

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Feb 2024 15:27:04 -0500

libwebp (1.3.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix invalid incremental decoding check. (Closes: #1052447)
  * Fix next is invalid pointer when WebPSafeMalloc fails
  * Fix static analyzer warnings.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 22 Sep 2023 09:41:18 +0200

libwebp (1.3.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing dependency libwebp-dev => libsharpyuv-dev.
    (Closes: #1052355)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 15:59:13 -0400

libwebp (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 11:03:28 -0400

libwebp (1.3.2-0.1~exp2) experimental; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Also install .a files again.
  * Make sure we have built and installed anim_dump and anim_diff.
    (Closes: #1023482)

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Sep 2023 14:41:40 -0400

libwebp (1.3.2-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.3.2.
    + The 1.3.x branch introduces libsharpyuv, which will be introduced
      as separate Debian binary packages. (Closes: #1040970)
    + CVE-2023-4863 is handled in this release. (LP: #2035220)
  * debian/gbp.conf: Use ignore-branch=True to avoid limitation on
    experimental branch.
  * debian/control:
    + Drop unnecessary build-dependency on autotools-related packages.
    + Add build-dependency on pkg-config.
    + Migrate buildsystem to cmake. (Closes: #1040972, LP: #2013083)
    + Apply RPATH-related hotfix before debhelper compat level 14.
    + Add new binary packages: libsharpyuv-dev, libsharpyuv0,
      libwebpdecoder3.
  * debian/libwebp-dev.install: Do not install static library anymore
    since CMake is not building them by default.
  * debian/rules:
    + Enforce --buildsystem=cmake.
    + Drop explicit option --enable-aligned, this option has been removed
      by libwebp upstream (see upstream ChangeLog).
  * debian/docs: Rename to libwebp-dev.docs to avoid confusion.
  * debian/patches: Drop all old patches, merged upstream.
  * debian/patches/:
    + 0001-CMakeLists.txt-Install-CMake-Config-to-arch-dep-loca.patch:
      Add patch to install CMake Config files to architecture-dependent
      location instead to retain Multi-Arch property of dev packages.
  * debian/copyright: Completely rewritten in machine-readable copyright
    format.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Sep 2023 22:22:30 -0400

libwebp (1.2.4-0.3) unstable; urgency=medium

  * Non-maintainer upload

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Heap buffer overflow in BuildHuffmanTable
    - debian/patches/CVE-2023-4863.patch: fix OOB write in
      BuildHuffmanTable in src/dec/vp8l_dec.c, src/dec/vp8li_dec.h,
      src/utils/huffman_utils.c, src/utils/huffman_utils.h.
    - CVE-2023-4863 (Closes: #1051786)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 17:44:43 +0200

=== debian/control ===
Source: libwebp
Section: libs
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgif-dev,
 libglut-dev,
 libjpeg-dev,
 libpng-dev,
 libtiff-dev <!pkg.libwebp.notiff>,
 pkg-config,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/libwebp
Vcs-Git: https://salsa.debian.org/debian/libwebp.git
Homepage: https://developers.google.com/speed/webp/

Package: libwebp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libwebp7 (= ${binary:Version}),
 libwebpdemux2 (= ${binary:Version}),
 libwebpmux3 (= ${binary:Version}),
 libwebpdecoder3 (= ${binary:Version}),
 libsharpyuv-dev,
 ${misc:Depends},
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebp7
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpdemux2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpmux3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpdecoder3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for the WebP graphics format (decode only)
 This package provides the decoder functions for the WebP
 graphics format as a shared library.

Package: libsharpyuv0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for sharp RGB to YUV conversion
 This library provides the function to convert RGB to YUV420 using
 a downsampling algorithm that minimizes artefacts caused by chroma
 subsampling.
 .
 This package provides the shared library files.

Package: libsharpyuv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsharpyuv0 (= ${binary:Version}),
 ${misc:Depends},
Description: Library for sharp RGB to YUV conversion (development files)
 This library provides the function to convert RGB to YUV420 using
 a downsampling algorithm that minimizes artefacts caused by chroma
 subsampling.
 .
 This package provides the development files.

Package: webp
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_clean:
	rm -rf debian/tmp-static static

override_dh_auto_configure:
	dh_auto_configure                         -- -DCMAKE_INSTALL_RPATH="" -DBUILD_SHARED_LIBS=YES
	dh_auto_configure --builddirectory=static -- -DCMAKE_INSTALL_RPATH="" -DBUILD_SHARED_LIBS=NO

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=static

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=static --destdir=debian/tmp-static
	cp debian/tmp-static/usr/lib/${DEB_HOST_MULTIARCH}/*.a debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libwebp 1.4.0

=== debian/changelog ===
libwebp (1.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/gbp.conf: Set git packaging branch names following DEP14.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 09:43:44 -0400

libwebp (1.4.0-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches: Drop patches merged upstream.
  * debian/control: Replace pkg-config with pkgconf.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 May 2024 09:02:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libwebp
 Section: libs
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  cmake,
@@ -12,8 +11,8 @@
  libjpeg-dev,
  libpng-dev,
  libtiff-dev <!pkg.libwebp.notiff>,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/libwebp
 Vcs-Git: https://salsa.debian.org/debian/libwebp.git
 Homepage: https://developers.google.com/speed/webp/

## libwebp 1.5.0

=== debian/changelog ===
libwebp (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jan 2025 16:27:01 -0500

libwebp (1.5.0~rc1-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream RC release.
  * debian/control: Move package description to source package section.
    Update binary package descriptions accordingly.
  * debian/copyright: Refresh information.
  * debian/patches/install-additional-tools.patch: Unfuzz the patch.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2024 23:50:37 -0500

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,11 @@
 Vcs-Browser: https://salsa.debian.org/debian/libwebp
 Vcs-Git: https://salsa.debian.org/debian/libwebp.git
 Homepage: https://developers.google.com/speed/webp/
+Description: Lossy compression of digital photographic images
+ Image Compression format, based on the VP8 codec.
+ WebP uses the modern VP8 compression format to deliver efficient
+ compression of images for the web. More than 30% extra gain over
+ optimized JPEG, for same quality, is not unusual.
 
 Package: libwebp-dev
 Section: libdevel
@@ -28,11 +33,8 @@
  libwebpdecoder3 (= ${binary:Version}),
  libsharpyuv-dev,
  ${misc:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (development files)
+ ${source:Extended-Description}
 
 Package: libwebp7
 Architecture: any
@@ -42,11 +44,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (shared library)
+ ${source:Extended-Description}
 
 Package: libwebpdemux2
 Architecture: any
@@ -56,11 +55,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images.
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (libwebpdemux library)
+ ${source:Extended-Description}
 
 Package: libwebpmux3
 Architecture: any
@@ -70,11 +66,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (libwebpmux library)
+ ${source:Extended-Description}
 
 Package: libwebpdecoder3
 Architecture: any
@@ -123,8 +116,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (utilities)
+ ${source:Extended-Description}
+ .
+ This package provides executable utilities provided by
+ libwebp project.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%,uversionmangle=s/(\d)[_\.\-\+]?(rc)[.]?(\d*)$/$1~$2$3/" \
  https://storage.googleapis.com/downloads.webmproject.org/releases/webp/index.html \
  @PACKAGE@[-_]?(\d(?:[\-+\.:\~\d]|rc)*)@ARCHIVE_EXT@
